<?php

// `dev-config-profile.php` by default.
// on production server the included profile is `prod-config-profile.php`.
// Please do not touch.

require /*PROFILE_FILE*/ "profiles/dev-config-profile.php";

const SUPPORTS_FAST_REFRESH = _SUPPORTS_FAST_REFRESH;

/**
 * Maps the given relative source uri (relative to the `/front` folder) to its actual location depending on imported profile.
 * @param string $assetURI relative uri path from `/front` folder
 * @return string valid url that points to the given uri

 */
function asset(string $assetURI): string {
    return _asset($assetURI);
}

function get_base_path(): string {
    return _get_base_path();
}

global $_data_source_name;
$data_source_name = $_data_source_name;
const DATABASE_USER = _DATABASE_USER;
const DATABASE_PASSWORD = _DATABASE_PASSWORD;


function init_database(PDO $pdo): void {
    _init_database($pdo);
}
