import { Pos } from "../../components/arrows/Pos"
import { Segment } from "../../components/arrows/BendableArrow"
import { PlayerId } from "./Player"

export enum ActionKind {
    SCREEN = "SCREEN",
    DRIBBLE = "DRIBBLE",
    MOVE = "MOVE",
    SHOOT = "SHOOT",
}

export type Action = { type: ActionKind } & MovementAction

export interface MovementAction {
    fromPlayerId: PlayerId
    toPlayerId?: PlayerId
    moveFrom: Pos
    segments: Segment[]
}
