<?php

// This file only exists on production servers, and defines the available assets mappings
// in an `ASSETS` array constant.
require __DIR__ . "/../views-mappings.php";

// THIS VALUE IS TO SET IN THE CI
const BASE_PATH = null;

const _SUPPORTS_FAST_REFRESH = false;
$database_file = __DIR__ . "/../database.sqlite";
$_data_source_name = "sqlite:/$database_file";

// no user and password needed for sqlite databases
const _DATABASE_USER = null;
const _DATABASE_PASSWORD = null;


function _asset(string $assetURI): string {
    // use index.php's base path
    global $basePath;
    // If the asset uri does not figure in the available assets array,
    // fallback to the uri itself.
    return $basePath . "/" . (ASSETS[$assetURI] ?? $assetURI);
}


function _init_database(PDO $pdo): void {}

function _get_base_path(): string {
    return BASE_PATH;
}
