<?php

namespace IQBall\Core;

use IQBall\Core\Http\HttpResponse;
use IQBall\Core\Validation\ValidationFail;

interface ControlSchemaErrorResponseFactory {
    /**
     * @param ValidationFail[] $failures
     * @return HttpResponse
     */
    public function apply(array $failures): HttpResponse;
}
